#include "bdd-for-c.h"
#include "../../game/config/IZ_config.h"

spec("config") {
	describe("LoadConfig") {
		static IZ_Config config;

		it("should load default config values") {
			IZ_LoadConfig(&config);

			check(
				config.video.width == 640,
				"Default value for Video.Width is not loaded."
			);
			check(
				config.video.height == 480,
				"Default value for Video.Height is not loaded."
			);
			check(
				config.video.max_fps == 30,
				"Default value for Video.MaxFps is not loaded."
			);

			check(
				config.input.gamepad_axis_threshold == 8000,
				"Default value for Input.GamepadAxisThreshold is not loaded."
			);
		}
	}
}
